### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
YoYInflationCoupon Class Reference

Coupon paying a YoY-inflation type index More...

`#include <ql/cashflows/yoyinflationcoupon.hpp>`

Inheritance diagram for YoYInflationCoupon:
[legend]

List of all members.

## Public Member Functions

| YoYInflationCoupon (const Date &paymentDate, Real nominal, const Date &startDate, const Date &endDate, Natural fixingDays, const boost::shared_ptr< YoYInflationIndex > &index, const Period &observationLag, const DayCounter &dayCounter, Real gearing=1.0, Spread spread=0.0, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date())
Inspectors
Real | gearing () const
| index gearing, i.e. multiplicative coefficient for the index
Spread | spread () const
| spread paid over the fixing of the underlying index
Rate | adjustedFixing () const
const boost::shared_ptr < YoYInflationIndex > & | yoyIndex () const
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

bool | checkPricerImpl (const boost::shared_ptr< InflationCouponPricer > &) const
| makes sure you were given the correct type of pricer

## Protected Attributes

Real | gearing_
Spread | spread_

## Detailed Description

Coupon paying a YoY-inflation type index